# CurvedStringDrawer Class Reference
[CAPTCHA's implementation]

Inheritance diagram for CurvedStringDrawer:
[legend]

List of all members.

## Public Member Functions

| draw ($string)

## Public Attributes

const | MAX_ANGLE_CHANGE = 40
const | MAX_ANGLE = 45
const | MAX_VERTIVAL_POSITION_CHANGE = 1.5

## Detailed Description

Definition at line 15 of file CurvedStringDrawer.class.php.

## Member Function Documentation

CurvedStringDrawer::draw | ( | $ | string | ) |

Returns:
  CurvedStringDrawer

Reimplemented from TextDrawer.

Definition at line 24 of file CurvedStringDrawer.class.php.

References TextDrawer::$size, Drawer::$turingImage, TextDrawer::drawCraracter(), TextDrawer::getMaxCharacterHeight(), TextDrawer::getSize(), TextDrawer::getStringWidth(), TextDrawer::getTextWidth(), Drawer::getTuringImage(), MAX_ANGLE, MAX_ANGLE_CHANGE, MAX_VERTIVAL_POSITION_CHANGE, and TextDrawer::showError().

Here is the call graph for this function:

## Member Data Documentation

const CurvedStringDrawer::MAX_ANGLE = 45

Definition at line 18 of file CurvedStringDrawer.class.php.

Referenced by draw().

const CurvedStringDrawer::MAX_ANGLE_CHANGE = 40

Definition at line 17 of file CurvedStringDrawer.class.php.

Referenced by draw().

const CurvedStringDrawer::MAX_VERTIVAL_POSITION_CHANGE = 1.5

Definition at line 19 of file CurvedStringDrawer.class.php.

Referenced by draw().

The documentation for this class was generated from the following file:

- main/Utils/TuringTest/CurvedStringDrawer.class.php